# Komponenten für PhyPi (Stand: 25.11.2018)

Die beiden folgenden Abbildungen zeigen den Grundaufbau und die benötigten Komponenten für den Einführungskurs im Überblick sowie den zugehörigen Messkoffer.

![](images/components/breadboard_raspi.png)

![](images/components/box.png)

## 1. Grundausstattung Raspberry Pi

|      | Komponente                                                   | mögliche Bezugsquelle                 | Link / Art.Nr.:                                              | Preis in € |
| ---- | ------------------------------------------------------------ | ------------------------------------- | ------------------------------------------------------------ | :--------: |
| 1.   | Breadboard EIC -102B                                         | [reichelt](https://www.reichelt.de/)  | [STECKBOARD START](https://www.reichelt.de/experimentier-steckboard-630-200-70-teilig-steckboard-start-p122087.html?&trstct=pos_0) |   10,10    |
| 2.   | Breadboard EIC-404 (**Alternative zu 1.**)                   | [reichelt](https://www.reichelt.de/)  | [STECKBOARD 2K4V](https://www.reichelt.de/experimentier-steckboard-1280-400-kontakte-steckboard-2k4v-p67680.html?&trstct=pos_0) |   11,70    |
| 3.   | T-Cobbler Plus                                               | [reichelt](https://www.reichelt.de/)  | [RPI T-COBBLER P](https://www.reichelt.de/raspberry-pi-t-cobbler-plus-rpi-t-cobbler-p-p235529.html?&trstct=pos_0) |    8,99    |
| 4.   | Spannungsversorgung Breadboard & Raspberry Pi                | [reichelt](https://www.reichelt.de/)  | [DEBO BREAD POWER](https://www.reichelt.de/entwicklerboards-spannungsversorgung-f-steckboards-debo-bread-power-p202832.html?&trstct=pos_0) |    4,90    |
| 5.   | Raspberry Pi 3 B+                                            | [reichelt](https://www.reichelt.de/)  | [RASPBERRY PI 3B+](https://www.reichelt.de/raspberry-pi-3-b-4x-1-4-ghz-1-gb-ram-wlan-bt-raspberry-pi-3b-p217696.html?r=1) |   33,90    |
| 6.   | Gehäuse Raspberry Pi                                         | [reichelt](https://www.reichelt.de/)  | [RPI CASE BASE BK](https://www.reichelt.de/gehaeuse-fuer-raspberry-pi-3-kunststoff-schwarz-transparent-rpi-case-base-bk-p235531.html?&trstct=pos_7) |    8,99    |
| 7.   | MicroSDHC-Speicherkarte 16GB                                 | [reichelt](https://www.reichelt.de/)  | [SDSQUAR016GGN6MA](https://www.reichelt.de/microsdhc-speicherkarte-16gb-sandisk-ultra-sdsquar016ggn6ma-p214843.html?&trstct=pol_9) |    8,95    |
| 8.   | 5,1V/2,5A Universal-Netzteil micro-USB                       | [Eckstein](https://eckstein-shop.de/) | [CP07048](https://eckstein-shop.de/51V-25A-Universal-Netzteil-micro-USB-Raspberry-Pi-3-Ladegeraet-Power-Adapter-Schwarz) |    8,95    |
| 9.   | USB/Micro USB - Kabel mit Schalter für Spannungsversorgung des Raspberry Pi | [reichelt](https://www.reichelt.de/)  | [USB KABELSWITCH](https://www.reichelt.de/usb-micro-b-stecker-auf-usb-2-0-a-stecker-schalter-usb-kabelswitch-p162289.html?&trstct=pos_7) |    3,95    |
| 10.  | 65 Breadboard-Leitungen (Drahtbrücken)                       | [Eckstein](https://eckstein-shop.de/) | [ZB02029](https://eckstein-shop.de/65-Pcs-Breadboard-Steckbruecken-Drahtbruecken-flexibel-jumper-wires-Kabel) |    2,95    |
| 11.  | Aufbewahrungsbox PhyPi-Schülerset (Stanley Maschinenkoffer mit Oragnizer) | [Bauhaus](https://www.bauhaus.info/)  | [20266712](https://www.bauhaus.info/maschinenkoffer/stanley-maschinenkoffer/p/20266712?gclid=EAIaIQobChMIpaCGxqT73QIVK7XtCh2R6gIDEAQYASABEgIkp_D_BwE&s_kwcid=AL!5677!3!176314166870!!!g!107265810541!&pla_prpaid=107265810541&ef_id=WpxVWQAAAd5REI2q:20181010065236:s&pla_adgrid=40769846618&pla_campid=747810861&pla_prch=online&pla_prid=20266712&cid=PSEGoo747810861_40769846618&pla_adt=pla) |   11,90    |

<div style="page-break-after: always;"></div>

## 2. Grundausstattung Komponenten (Einführungskurs)
|      | Komponente                                                | Ausreichend für ... PhyPi-Schülersets | mögliche Bezugsquelle                                | Link / Art.Nr.:                                              | Preis in € |
| ---- | --------------------------------------------------------- | :-----------------------------------: | ---------------------------------------------------- | ------------------------------------------------------------ | ---------: |
| 1.   | Widerstandssortiment 20 &Omega; - 1 M&Omega; (600 Stück)  |                  10                   | [Eckstein](https://eckstein-shop.de/)                | [ZB58001](https://eckstein-shop.de/600x-Metallschicht-Metallfilm-Widerstaende-025W-20-bis1M-30-Sorten) |       2,95 |
| 2.   | ELKO Kondensatoren Sortiment 0,22 µF - 470 µF (120 Stück) |                  10                   | [Eckstein](https://eckstein-shop.de/)                | [ZB51002](https://eckstein-shop.de/120x-ELKO-Kondensatoren-022uF-470uF-12-Verschiedene-jeder-10-Stueck) |       1,95 |
| 3.   | Keramikkondensatoren Sortiment 20 pF - 1 µF (180 Stück)   |                  10                   | [Eckstein](https://eckstein-shop.de/)                | [ZB51003](https://eckstein-shop.de/180x-Multilayer-Ceramic-Capacitors-Keramik-Kondensator-20pF-bis-1uF-50V-18-Sortierment) |       2,77 |
| 4.   | LED-Sortiment (rot, gelb, grün, blau)                     |                   5                   | [Eckstein](https://eckstein-shop.de/)                | [SF12062](https://eckstein-shop.de/SparkFun-LED-Assorted-20-pack) |       2,95 |
| 5.   | NTC 3950 *R<sub>25</sub> =*10k&Omega; (wasserdicht)       |                   1                   | [roboter bausatz shop]()                             | [RBS12462](https://www.roboter-bausatz.de/2523/thermistor-ntc-3950-10k-1-wasserdicht) |       1,40 |
| 6.   | Drehpotentiometer 10 k&Omega;                             |                   1                   | [reichelt](https://www.reichelt.de/)                 | [PO6M-LIN 10K](https://www.reichelt.de/drehpotentiometer-mono-10-kohm-linear-6-mm-po6m-lin-10k-p88207.html?&trstct=vrt_pdn) |       1,60 |
| 7.   | LED 5 mm wamweiß                                          |                   1                   | [reichelt](https://www.reichelt.de/)                 | [LED 5-18000 WW](https://www.reichelt.de/led-5-mm-bedrahtet-warmweiss-18000-mcd-15-led-5-18000-ww-p163992.html?PROVID=2788&gclid=EAIaIQobChMInrfRjMuj3QIVE_lRCh28TA9IEAQYAiABEgJY_PD_BwE&&r=1) |       0,25 |
| 8.   | AD-Wandler ADS1115 (Adafruit)                             |                   1                   | [reichelt](https://www.reichelt.de/)                 | [DEBO AMP 16BIT](https://www.reichelt.de/entwicklerboards-verstaerker-platine-16-bit-debo-amp-16bit-p235500.html?r=1) |      15,60 |
| 9.   | Instrumentenverstärker AD 623 ANZ                         |                   1                   | [reichelt](https://www.reichelt.de/)                 | [AD 623 ANZ](https://www.reichelt.de/instrumentenverstaerker-100-khz-dil-8-ad-623-anz-p185350.html?r=1) |       6,35 |
| 10.  | Massestücke / Hakengewichte 100 g (10 Stück) *            |                   2                   | [Christiani](https://www.christiani-shop.de/schule/) | [86785](https://www.christiani-shop.de/schule/schulstufen/hakengewicht-100-g-blank-satz-von-10-stueck.html) |      30,90 |
| 11.  | Schraubenfeder 10 N/m *                                   |                   1                   | [LEYBOLD]()                                          | [352 07](https://www.leybold-shop.de/catalog/product/view/id/15662/s/schraubenfeder-10-n-m-35207/category/1547/) |       4,05 |

*Nur notwendig, wenn diese in der Physiksammlung nicht vorhanden sind.

<div style="page-break-after: always;"></div>

In der folgenden Tabelle sind sämtliche Komponenten aufgeführt, die für den Zusammenbau des Kraftsensors benötigt werden. Dieser ist dann zu gängigem Stativmaterial kompatibel.

|      | Komponente                                                   | Ausreichend für ... PhyPi-Schülersets | mögliche Bezugsquelle                 | Link / Art.Nr.:                                              | Preis in € |
| ---- | ------------------------------------------------------------ | :-----------------------------------: | ------------------------------------- | ------------------------------------------------------------ | ---------- |
| 1.   | Kraftsensor TAL221 (Wägezelle, Biegebalken 500 g)            |                   1                   | [Eckstein](https://eckstein-shop.de/) | [SF14728](https://eckstein-shop.de/SparkFun-Mini-Load-Cell-500g-Straight-Bar-TAL221) | 11,84      |
| 2.   | USB-Datenkabel als Leitung für den Kraftsensor TAL221        |                   5                   | [reichelt](https://www.reichelt.de/)  | [USB2 DK 5M](https://www.reichelt.de/usb-2-0-datenkabel-5m-usb2-dk-5m-p109597.html?&trstct=vrt_pdn) | 5,99       |
| 3.   | Schrumpfschlauch  Ø 2,4 mm (50 Stück) für Leitung des Kraftsensors TAL221 |                  10                   | [Hornbach](https://www.hornbach.de/)  | [5071146](https://www.hornbach.de/shop/Schrumpfschlauch-2-4-mm-L-100-mm-schwarz-50-Stueck/5071146/artikel.html) | 1,95       |
| 4.   | Schrumpfschlauch  Ø 6,4 mm (25 Stück) für Leitung des Kraftsensors TAL221 |                  10                   | [Hornbach](https://www.hornbach.de/)  | [5071155](https://www.hornbach.de/shop/Schrumpfschlauch-6-4-mm-L-100-mm-schwarz-25-Stueck/5071155/artikel.html) | 1,95       |
| 5.   | Vierkantstange Aluminium 12 x 12 mm, 1m für Stativhalterung des Kraftsensors |                   4                   | [Hornbach](https://www.hornbach.de/)  | [4249111](https://www.hornbach.de/shop/Vierkantstange-Aluminium-silber-eloxiert-12x12-mm-1m/4249111/artikel.html) | 9,40       |
| 6.   | Linsenkopfschraube 4.8 m. Kreuzschlitz 3x16 mm galv.verzinkt DIN 7985 100 Stück |                  10                   | [Hornbach](https://www.hornbach.de/)  | [3831258](https://www.hornbach.de/shop/Linsenkopfschraube-4-8-m-Kreuzschlitz-3x16-mm-galv-verzinkt-DIN-7985-100-Stueck/3831258/artikel.html?varCat=S1784##v3831254) | 2,55       |
| 7.   | Kabelbinder UV-beständig schwarz 140 x 2,5 mm, <br/>100 Stück |                &gt; 10                | [Hornbach](https://www.hornbach.de/)  | [3883618](https://www.hornbach.de/shop/Kabelbinder-UV-bestaendig-schwarz-140-x-2-5-mm-100-Stueck/3883618/artikel.html) | 2,30       |
| 8.   | Aderleitung H07 V-U 1G6 mm² grün-gelb, Meterware (0,5 m) für Aufhängeöse am Kraftsensor |                &gt; 10                | [Hornbach](https://www.hornbach.de/)  | [3870051](https://www.hornbach.de/shop/Aderleitung-H07-V-U-1G6-mm-gruen-gelb-Meterware/3870051/artikel.html) | 0,60       |
| 9.   | UHU 2-komponenten-Kleber plus schnellfest 35 g zum Einkleben der Aufhängeöse |                &gt; 10                | [Hornbach](https://www.hornbach.de/)  | [2561731](https://www.hornbach.de/shop/UHU-2-komponenten-Kleber-plus-schnellfest-35-g/2561731/artikel.html) | 8,49       |

<div style="page-break-after: always;"></div>

## 3. Weitere Sensoren und weiteres Material

|      | Komponente                                                   | mögliche Bezugsquelle                            | Link / Art.Nr.:                                              | Preis in € |
| ---- | ------------------------------------------------------------ | ------------------------------------------------ | ------------------------------------------------------------ | ---------: |
| 1.   | Analoger 3-Achsen Beschleunigungssensor ADXL335              | [Eckstein](https://eckstein-shop.de/)            | [SE01008](https://eckstein-shop.de/GY-61-ADXL335-3-Achsen-Beschleunigungssensor-Module-Magnetfeld-3-5V-fuer-Arduino) |       5,95 |
| 2.   | Pt100 (-40 ... +180 °C), wasserdicht                         | [reichelt](https://www.reichelt.de/)             | [BB KF PT100](https://www.reichelt.de/thermoelement-pt100-40-180-c-bb-kf-pt100-p202427.html?&trstct=pos_0) |      16,30 |
| 3.   | analoger linearer Hallsensor SS 495 A1<br/>(min. - 60 mT ... + 67 mT) | [reichelt](https://www.reichelt.de/)             | [SS 495 A1](https://www.reichelt.de/hallsensor-linear-analog-to-92-ss-495-a1-p151340.html?&trstct=pos_1) |       3,65 |
| 4.   | Differenzdrucksensor MPX 4250DP <br/>(0 ... 250 KPa)         | [reichelt](https://www.reichelt.de/)             | [MPX 4250DP](https://www.reichelt.de/drucksensor-0-250-kpa-19-mv-kpa-mpx-4250dp-p82337.html?&trstct=pos_0) |      18,50 |
| 5.   | digitaler Differenzdrucksensor für sehr kleine Druckdifferenzen SDP610-500PA <br/>(kalibriert und temperaturkompensiert)<br/> z.B. für Strömungsexperimente | [CONRAD](https://www.conrad.de)                  | [1313589 - 62](https://www.conrad.de/de/sensirion-drucksensor-1-st-sdp610-500pa-500-pa-bis-500-pa-l-x-b-x-h-29-x-18-x-2705-mm-1313589.html) |      34,99 |
| 6.   | Luftdrucksensor BMP280, z.B. für Höhenbestimmung mit barometrischer Höhenformel (Sensor ist im I-Phone 6 verbaut) | [Eckstein](https://eckstein-shop.de/)            | [AF2651](https://eckstein-shop.de/Adafruit-BMP280-I2C-or-SPI-Barometric-Pressure-Altitude-Sensor) |      11,84 |
| 7.   | Alternative für sehr kleine Kräfte: Kraftsensor TAL221 (Wägezelle, Biegebalken 100 g) | [Eckstein](https://eckstein-shop.de/)            | [SF14727](https://eckstein-shop.de/SparkFun-Mini-Load-Cell-100g-Straight-Bar-TAL221) |      10,65 |
| 8.   | Kraftsensor TAL220B (Wägezelle, Biegebalken  5 kg)           | [Eckstein](https://eckstein-shop.de/)            | [SF14729](https://eckstein-shop.de/SparkFun-Load-Cell-5kg-Straight-Bar-TAL220B) |      13,03 |
| 9.   | Ringschraube M5 für Kraftsensor TAL220B (ähnl. DIN 580)      | [EDELSTAHL.NIRO](https://www.edelstahl-niro.de/) | [104024A4](https://www.edelstahl-niro.de/ring-schraube-edelstahl-p-2308.html) |       1,90 |
| 10.  | Schiebepotentiometer (10k&Omega;, linear) für Wegmessung     | [reichelt](https://www.reichelt.de/)             | [RS60N12-LIN10K](https://www.reichelt.de/schiebepotentiometer-stereo-10-kohm-linear-rs60n12-lin10k-p73870.html) |       4,99 |
| 11.  | Drehpotentiometer 100 &Omega;                                | [reichelt](https://www.reichelt.de/)             | [PO6M-LIN 100](https://www.reichelt.de/drehpotentiometer-mono-100-ohm-linear-6-mm-po6m-lin-100-p88194.html) |       2,40 |
| 12.  | optischer analoger Distanzsensor SHARP GP2Y0A02YK0F, 20 - 150 cm (aufgrund der stark nicht linearen Kennlinie in der Realität ca. 20 - 80 cm) | [reichelt](https://www.reichelt.de/)             | [GP2-0215K](https://www.reichelt.de/distanzsensor-20-150-cm-analog-gp2-0215k-p193038.html?&trstct=pos_1) |       8,99 |
| 13.  | optischer analoger Distanzsensor SHARP GP2Y0A710K0F, 100 - 550 cm (aufgrund der stark nicht linearen Kennlinie in der Realität ca. 100 - 300 cm) | [reichelt](https://www.reichelt.de/)             | [GP2-1055K](https://www.reichelt.de/distanzsensor-100-550-cm-analog-gp2-1055k-p114321.html?&trstct=pos_2) |      21,30 |


## 4. Pico-Scope (Oszilloskop)

|      | Komponente                      | mögliche Bezugsquelle                  | Link / Art.Nr.:                                              | Preis in € |
| ---- | ------------------------------- | -------------------------------------- | ------------------------------------------------------------ | ---------: |
| 1.   | PicoScope 2200A USB-Oszilloskop | [picotech ](https://www.picotech.com/) | [PP917](https://www.picotech.com/oscilloscope/2000/picoscope-2000-overview) |      95,00 |

## 5. Sonstige Chips zur Sensorauswertung

|      | Komponente                                | mögliche Bezugsquelle                 | Link / Art.Nr.:                                              | Preis in € |
| ---- | ----------------------------------------- | ------------------------------------- | ------------------------------------------------------------ | ---------: |
| 1.   | PT100 Widerstand-Digital-Wandler MAX31865 | [Eckstein](https://eckstein-shop.de/) | [AF3328](https://eckstein-shop.de/Adafruit-PT100-RTD-Temperature-Sensor-Amplifier-MAX31865) |      17,79 |
| 2.   | AD-Wandler MCP3208                        | [reichelt](https://www.reichelt.de/)  | [MCP 3208-CI/P](https://www.reichelt.de/12-bit-a-d-converter-mit-spi-8-kanal-dil-16-mcp-3208-ci-p-p90079.html?PROVID=2788&gclid=EAIaIQobChMIpNStlO-j3QIVw4jVCh2DJQgTEAYYASABEgIGdPD_BwE&&r=1) |       1,99 |
| 3.   | Wägezellen-Messverstärker HX711           | [Eckstein](https://eckstein-shop.de/) | [SF13879](https://eckstein-shop.de/SparkFun-Load-Cell-Amplifier-HX711-for-Weight-Measurements) |       9,95 |

## 6. Komponenten für Projekte

### 6.1 Bioelektrische Signale (EKG, EMG)

|      | Komponente                           | mögliche Bezugsquelle                 | Link / Art.Nr.:                                              | Preis in € |
| ---- | ------------------------------------ | ------------------------------------- | ------------------------------------------------------------ | ---------: |
| 1.   | Messverstärker für Biosignale AD8232 | [Eckstein](https://eckstein-shop.de/) | [SF12650](https://eckstein-shop.de/SparkFun-Single-Lead-Heart-Rate-Monitor-AD8232) |      19,95 |
| 2.   | EKG-Elektroden                       | [Amazon](https://www.amazon.de/)      | [EKG-Elektroden Festgel](https://www.amazon.de/Elektroden-Festgel-Solidgel-Einmalelektroden-Einmal/dp/B005N6WIMY/ref=sr_1_2?ie=UTF8&qid=1536146981&sr=8-2&keywords=elektroden+ekg) |      11,44 |